summaryrefslogtreecommitdiff
path: root/dev-python/urwid
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/urwid')
-rw-r--r--dev-python/urwid/Manifest4
-rw-r--r--dev-python/urwid/metadata.xml6
-rw-r--r--dev-python/urwid/urwid-2.3.4.ebuild30
-rw-r--r--dev-python/urwid/urwid-2.4.6.ebuild30
-rw-r--r--dev-python/urwid/urwid-2.5.3.ebuild33
-rw-r--r--dev-python/urwid/urwid-2.6.5.ebuild30
-rw-r--r--dev-python/urwid/urwid-2.6.7.ebuild37
-rw-r--r--dev-python/urwid/urwid-2.6.8.ebuild47
8 files changed, 99 insertions, 118 deletions
diff --git a/dev-python/urwid/Manifest b/dev-python/urwid/Manifest
index bea8298d4866..807fcf56bd17 100644
--- a/dev-python/urwid/Manifest
+++ b/dev-python/urwid/Manifest
@@ -1,5 +1,3 @@
-DIST urwid-2.3.4.tar.gz 678305 BLAKE2B 1b0de4ae4a18751275de968da9899e934277d8f9ac24cd1363ec9bbef48492f5fc6e00785c75447c8eddba2952fb37689b1e2b7b74a430590020b3aa77979f16 SHA512 e1ed9357b738975c909f847a2f12292cfad1cf824be9d3818ca0de3d1ca5c992ba89d5cea25888db3a8bb6c73a64b94ecb1df0a19d5af7f7b060bd113f93a8dd
-DIST urwid-2.4.6.tar.gz 801434 BLAKE2B 52b6cd256fbb6f7296619140c0d2cc9dacb910b3666dedb5e53f6c9c66eb17c628c2da7ec3e61ac7c24c9359161a032228bfa676ea9e53169ff3bef873782af3 SHA512 b7255b5f5f274fec952edb808ff859289dbd75f0600f3ddf1b608111f0fef50955efadeb1c1792fe16f5adc6c12a3641bfb50e42bbf8c07b10f431ca50cc0766
DIST urwid-2.5.3.tar.gz 848047 BLAKE2B 42815e22f2659ee25736767391afbf0189b5bec9d1100ce7631efd037989cfacac7ee921666e2400e1ef7ef114261a948cfac172ac993753ce151b370361d375 SHA512 80c32138347a618fc40e1a26fd174e708a9f8e4e9a8e09edc1d9261a9d73a644e356ce375654a55b5fb8838a820b8ba8b1cc47560c5b44c5c74677399845f578
-DIST urwid-2.6.5.tar.gz 851570 BLAKE2B c99833701b83427005726d9a0d5e1c52f2308617bd7a953370495b0a35fd904c2544a186dd9f74d571045d4dc74af285f9a1da0e3357fdd85ed5ae0162aca3ba SHA512 813b4cfc3f4d418475fdd23b84bf591a6affc30522b18e9f58c067bd71f3bc98962f50866a4b34974d66287a7e5600fdfdf9955fea6cb94c08c1c11a4515e5a8
DIST urwid-2.6.7.tar.gz 854504 BLAKE2B 691971a3f1c588fa9ffdf7abbd8a7499c199853cdb071028d138b836a11ef8fbba6427ab40ad7f22b86e8cb3ae6019f55a79beef8a5d212b750e32feaf6acf76 SHA512 66aaf0e6dfc730db03a6ada0fe8fcdbe15a772b90d621fbedf335302c3d212602b81df7c95be035d6a37c38c6714c896994783ab0de519c01f861a7666ec4f1b
+DIST urwid-2.6.8.tar.gz 854980 BLAKE2B 4168bcd59710ee46e2af408e5e6331585ee2a260ca94990ff947d259d9aad7153750e6c2fc2e227ad00ce42aeeba063b5b11dd89e83f6c30548a6df5ed992e8f SHA512 34617104804f9eb710d5ed51c95c4d2f6354861f07a2d652b99109c59941561985d9717f928ba77990b3e0406723da02b1eb67d9f2236f31888a21b9de109e2e
diff --git a/dev-python/urwid/metadata.xml b/dev-python/urwid/metadata.xml
index 18cf61b019cb..83de33e11055 100644
--- a/dev-python/urwid/metadata.xml
+++ b/dev-python/urwid/metadata.xml
@@ -2,10 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
- <maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
@@ -27,5 +23,5 @@ useful for text console application developers including:
- Easy interface for creating HTML screen shots
</longdescription>
- <origin>ports</origin>
+ <origin>gentoo-staging</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/urwid/urwid-2.3.4.ebuild b/dev-python/urwid/urwid-2.3.4.ebuild
deleted file mode 100644
index cf7dd4bdbc48..000000000000
--- a/dev-python/urwid/urwid-2.3.4.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 2023 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-PYTHON_REQ_USE="ncurses"
-
-inherit distutils-r1
-
-DESCRIPTION="Curses-based user interface library for Python"
-HOMEPAGE="http://urwid.org/ https://pypi.org/project/urwid/ https://github.com/urwid/urwid/"
-SRC_URI="https://files.pythonhosted.org/packages/97/52/0f9b7a2414ec1fea3aff598adffb9865782d95906fd79b42daec99af4043/urwid-2.3.4.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
-src_prepare() {
- distutils-r1_src_prepare
-}
-
-python_install_all() {
- use examples && dodoc -r examples
- distutils-r1_python_install_all
- python_optimize
-}
diff --git a/dev-python/urwid/urwid-2.4.6.ebuild b/dev-python/urwid/urwid-2.4.6.ebuild
deleted file mode 100644
index 8bc1466ce598..000000000000
--- a/dev-python/urwid/urwid-2.4.6.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 2023-2024 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-PYTHON_REQ_USE="ncurses"
-
-inherit distutils-r1
-
-DESCRIPTION="Curses-based user interface library for Python"
-HOMEPAGE="http://urwid.org/ https://pypi.org/project/urwid/ https://github.com/urwid/urwid/"
-SRC_URI="https://files.pythonhosted.org/packages/89/18/5450f03103fca5f6cae6c3b6451cbc7ea776600fa4cc37db362ec17d1129/urwid-2.4.6.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
-src_prepare() {
- distutils-r1_src_prepare
-}
-
-python_install_all() {
- use examples && dodoc -r examples
- distutils-r1_python_install_all
- python_optimize
-}
diff --git a/dev-python/urwid/urwid-2.5.3.ebuild b/dev-python/urwid/urwid-2.5.3.ebuild
index 45d7cb910b2e..73b758a98078 100644
--- a/dev-python/urwid/urwid-2.5.3.ebuild
+++ b/dev-python/urwid/urwid-2.5.3.ebuild
@@ -1,30 +1,43 @@
-# Copyright 2023-2024 Liguros Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+
EAPI=8
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8,9,10,11,12} )
PYTHON_REQ_USE="ncurses"
-inherit distutils-r1
+inherit distutils-r1 optfeature pypi
DESCRIPTION="Curses-based user interface library for Python"
-HOMEPAGE="http://urwid.org/ https://pypi.org/project/urwid/ https://github.com/urwid/urwid/"
-SRC_URI="https://files.pythonhosted.org/packages/bb/18/5312d4b55ab8f69cb82de25a68ed2efd303409bc564f403623f561e8cfde/urwid-2.5.3.tar.gz"
+HOMEPAGE="
+ https://urwid.org/
+ https://pypi.org/project/urwid/
+ https://github.com/urwid/urwid/
+"
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~loong ~mips ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
IUSE="examples"
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
-src_prepare() {
- distutils-r1_src_prepare
+python_test() {
+ rm -rf urwid || die
+ eunittest
}
python_install_all() {
use examples && dodoc -r examples
distutils-r1_python_install_all
- python_optimize
+}
+
+pkg_postinst() {
+ optfeature "Trio event loop" "dev-python/trio"
}
diff --git a/dev-python/urwid/urwid-2.6.5.ebuild b/dev-python/urwid/urwid-2.6.5.ebuild
deleted file mode 100644
index 7a7945ac4ffd..000000000000
--- a/dev-python/urwid/urwid-2.6.5.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 2023-2024 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-PYTHON_REQ_USE="ncurses"
-
-inherit distutils-r1
-
-DESCRIPTION="Curses-based user interface library for Python"
-HOMEPAGE="http://urwid.org/ https://pypi.org/project/urwid/ https://github.com/urwid/urwid/"
-SRC_URI="https://files.pythonhosted.org/packages/d3/7d/3fcee8213c969683fc30392d92e3b066de65f53a771fbdfca40be01ea28b/urwid-2.6.5.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
-src_prepare() {
- distutils-r1_src_prepare
-}
-
-python_install_all() {
- use examples && dodoc -r examples
- distutils-r1_python_install_all
- python_optimize
-}
diff --git a/dev-python/urwid/urwid-2.6.7.ebuild b/dev-python/urwid/urwid-2.6.7.ebuild
index 1c214f3e2c60..d33150d89fcb 100644
--- a/dev-python/urwid/urwid-2.6.7.ebuild
+++ b/dev-python/urwid/urwid-2.6.7.ebuild
@@ -1,30 +1,47 @@
-# Copyright 2023-2024 Liguros Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+
EAPI=8
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8,9,10,11,12} )
PYTHON_REQ_USE="ncurses"
-inherit distutils-r1
+inherit distutils-r1 optfeature pypi
DESCRIPTION="Curses-based user interface library for Python"
-HOMEPAGE="http://urwid.org/ https://pypi.org/project/urwid/ https://github.com/urwid/urwid/"
-SRC_URI="https://files.pythonhosted.org/packages/8c/58/51172f1f71955522f75d5e19654509afce6ceecdd9ce61a7bcba502d5903/urwid-2.6.7.tar.gz"
+HOMEPAGE="
+ https://urwid.org/
+ https://pypi.org/project/urwid/
+ https://github.com/urwid/urwid/
+"
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="examples"
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
-src_prepare() {
- distutils-r1_src_prepare
+python_test() {
+ rm -rf urwid || die
+ eunittest
}
python_install_all() {
use examples && dodoc -r examples
distutils-r1_python_install_all
- python_optimize
+}
+
+pkg_postinst() {
+ optfeature "Trio event loop" "dev-python/trio"
}
diff --git a/dev-python/urwid/urwid-2.6.8.ebuild b/dev-python/urwid/urwid-2.6.8.ebuild
new file mode 100644
index 000000000000..d33150d89fcb
--- /dev/null
+++ b/dev-python/urwid/urwid-2.6.8.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Curses-based user interface library for Python"
+HOMEPAGE="
+ https://urwid.org/
+ https://pypi.org/project/urwid/
+ https://github.com/urwid/urwid/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ rm -rf urwid || die
+ eunittest
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "Trio event loop" "dev-python/trio"
+}